## org.apache.poi.ss.usermodel.charts
Interface ChartData

All Known Subinterfaces:
  ScatterChartData

All Known Implementing Classes:
  XSSFScatterChartData

    @Beta
    public interface ChartData

A base for all charts data types.

Author:
  Roman Kashitsyn

Method Summary
`void` `fillChart(Chart chart, ChartAxis... axis)` Fills a charts with data specified by implementation.

Method Detail

### fillChart

    void fillChart(Chart chart,
                   ChartAxis... axis)

  Fills a charts with data specified by implementation.

  Parameters:
    `chart` - a charts to fill in
    `axis` - charts axis to use

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.